import { Component, VNode } from 'preact';
/**
 * Component properties for {@linkcode ConfirmButton}.
 */
export declare type ConfirmButtonProps = {
    attributes: Record<string, unknown>;
    class: string;
    click: (event: MouseEvent) => unknown;
    confirmClass: string;
    confirmText: string;
    preventDefault: boolean;
    text: string;
    timeout: number;
};
/**
 * Component state for {@linkcode ConfirmButton}.
 */
export declare type ConfirmButtonState = {
    timeoutHandle: number | undefined;
};
/**
 * A {@linkcode https://developer.mozilla.org/docs/Web/HTML/Element/button <button>}
 * element wrapper that requires 2 clicks within a given time to call the click
 * function. For example to confirm removal of something.
 */
export declare class ConfirmButton extends Component<ConfirmButtonProps, ConfirmButtonState> {
    constructor(props: ConfirmButtonProps);
    click: (event: MouseEvent) => void;
    resetTimeout: () => void;
    render(): VNode;
}
