import { Component, VNode } from 'preact';
/**
 * Component properties for {@linkcode FeedbackButton}.
 */
export declare type FeedbackButtonProps = {
    attributes: Record<string, unknown>;
    click: (event: MouseEvent) => unknown;
    feedbackText: string;
    text: string;
    timeout: number;
};
/**
 * Component state for {@linkcode FeedbackButton}.
 */
export declare type FeedbackButtonState = {
    currentText: string;
    timeoutHandle: number | undefined;
};
/**
 * A {@linkcode https://developer.mozilla.org/docs/Web/HTML/Element/button <button>}
 * element wrapper that changes its text for a given time after being clicked.
 */
export declare class FeedbackButton extends Component<FeedbackButtonProps, FeedbackButtonState> {
    constructor(props: FeedbackButtonProps);
    click: (event: MouseEvent) => Promise<void>;
    render(): VNode;
}
