import { Component, ComponentChildren, VNode } from 'preact';
/**
 * Component properties for {@linkcode PrivacyLink}.
 */
export declare type PrivacyLinkProps = {
    attributes: Record<string, unknown>;
    children: ComponentChildren;
};
/**
 * A simple {@linkcode https://developer.mozilla.org/docs/Web/HTML/Element/a <a>}
 * element wrapper with `rel="noopener noreferrer"` and `target="_blank"`
 * already set.
 */
export declare class PrivacyLink extends Component<PrivacyLinkProps> {
    render(): VNode;
}
