import { html } from 'htm/preact';
import { Component } from 'preact';
/**
 * A simple {@linkcode https://developer.mozilla.org/docs/Web/HTML/Element/a <a>}
 * element wrapper with `rel="noopener noreferrer"` and `target="_blank"`
 * already set.
 */
export class PrivacyLink extends Component {
    render() {
        const props = {
            ...this.props.attributes,
            rel: 'noopener noreferrer',
            target: '_blank',
        };
        return html `<a ...${props}>${this.props.children}</a>`;
    }
}
//# sourceMappingURL=privacy-link.js.map